GNU bug report logs - #47752
25.2; double screen configuration

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Klaus Niederkrũger <niederkruger@HIDDEN>; Keywords: moreinfo; dated Tue, 13 Apr 2021 14:50:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Added tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 47752 <at> debbugs.gnu.org:


Received: (at 47752) by debbugs.gnu.org; 5 May 2021 16:04:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 05 12:04:31 2021
Received: from localhost ([127.0.0.1]:33033 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1leK0k-0003kn-NL
	for submit <at> debbugs.gnu.org; Wed, 05 May 2021 12:04:31 -0400
Received: from quimby.gnus.org ([95.216.78.240]:38518)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1leK0j-0003kb-6Y
 for 47752 <at> debbugs.gnu.org; Wed, 05 May 2021 12:04:29 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID
 :In-Reply-To:Date:References:Subject:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=XgzjTYI7if8ljFFaPJUI+0NczYkJ5+J0CHOKLSnDz24=; b=hJQttt1dvBls02feMoP0errVfc
 CSffjdpENyDNu10pGOEAqBCxDC2U7mQPCWZ/HCXO4lcNAUCIvhZAp7GkU+mi13DpMkBCYNecykBbx
 GlXsOzodK+NJJS0wI64f5w5PMyMKgCYGUbHMI68cvvBPTQqTRMgL04ZZAoYelODTwTM4=;
Received: from cm-84.212.220.105.getinternet.no ([84.212.220.105] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1leK0b-0003LW-1m; Wed, 05 May 2021 18:04:23 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Klaus =?utf-8?Q?Niederkr=C5=A9ger?= <niederkruger@HIDDEN>
Subject: Re: bug#47752: 25.2; double screen configuration
References: <056d5e7c-79df-554d-0dd4-8a74fee75cd0@HIDDEN>
X-Now-Playing: Martina Topley-Bird's _Quixotic_: "Need One"
Date: Wed, 05 May 2021 18:04:20 +0200
In-Reply-To: <056d5e7c-79df-554d-0dd4-8a74fee75cd0@HIDDEN> ("Klaus
 =?utf-8?Q?Niederkr=C5=A9ger=22's?= message of "Tue, 13 Apr 2021 10:22:22
 +0200")
Message-ID: <87sg312mm3.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 
 Content preview:  Klaus Niederkrũger <niederkruger@HIDDEN> writes:
    > I have a configuration with two (physical) screens. > > When the emacs
   window is on my secondary screen, and I click on the menu > bar to open a
   roll down menu, this menu appears on the primary scre [...] 
 
 Content analysis details:   (-2.9 points, 5.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
                             [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 47752
Cc: 47752 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Klaus Niederkr=C5=A9ger <niederkruger@HIDDEN> writes:

> I have a configuration with two (physical) screens.
>
> When the emacs window is on my secondary screen, and I click on the menu
> bar to open a roll down menu, this menu appears on the primary screen
> (more or less at the position I would expect it to be if both screens
> were identical).
>
> To select any item I have to move the mouse pointer to the primary
> screen.

[...]

> In GNU Emacs 25.2.1 (x86_64-pc-linux-gnu, X toolkit, Xaw3d scroll bars)
> of 2017-09-22, modified by Debian built on lgw01-amd64-050

Emacs 25 is quite old, and there's been many changes in how Emacs
renders menus over the years.  Do you still see this in more recent
versions of Emacs, like Emacs 27.2?

--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47752; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 13 Apr 2021 14:49:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 13 10:49:17 2021
Received: from localhost ([127.0.0.1]:60519 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lWKLs-0006ZW-Tb
	for submit <at> debbugs.gnu.org; Tue, 13 Apr 2021 10:49:17 -0400
Received: from lists.gnu.org ([209.51.188.17]:60434)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <SRS0=++ik=JK=math.univ-lyon1.fr=niederkruger@HIDDEN>)
 id 1lWEJc-0002Vd-Th
 for submit <at> debbugs.gnu.org; Tue, 13 Apr 2021 04:22:33 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:47288)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1)
 (envelope-from <SRS0=++ik=JK=math.univ-lyon1.fr=niederkruger@HIDDEN>)
 id 1lWEJc-0007i6-Nt
 for bug-gnu-emacs@HIDDEN; Tue, 13 Apr 2021 04:22:32 -0400
Received: from margaux.mathrice.fr ([134.214.255.150]:38862
 helo=margaux.math.cnrs.fr) by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <SRS0=++ik=JK=math.univ-lyon1.fr=niederkruger@HIDDEN>)
 id 1lWEJa-0007AF-7K
 for bug-gnu-emacs@HIDDEN; Tue, 13 Apr 2021 04:22:32 -0400
Received: from localhost (localhost [127.0.0.1])
 by margaux.math.cnrs.fr (Postfix) with ESMTP id AAD4F1072
 for <bug-gnu-emacs@HIDDEN>; Tue, 13 Apr 2021 10:22:25 +0200 (CEST)
X-Virus-Scanned: Debian amavisd-new at math.cnrs.fr
Received: from margaux.math.cnrs.fr ([127.0.0.1])
 by localhost (margaux.math.cnrs.fr [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id 7CXXm4Y1H4b3 for <bug-gnu-emacs@HIDDEN>;
 Tue, 13 Apr 2021 10:22:23 +0200 (CEST)
Received: from [192.168.0.28] (122.252.129.77.rev.sfr.net [77.129.252.122])
 (using TLSv1.3 with cipher TLS_AES_128_GCM_SHA256 (128/128 bits)
 key-exchange X25519 server-signature RSA-PSS (2048 bits) server-digest SHA256)
 (No client certificate requested)
 by margaux.math.cnrs.fr (Postfix) with ESMTPSA id 42F5EFFE
 for <bug-gnu-emacs@HIDDEN>; Tue, 13 Apr 2021 10:22:23 +0200 (CEST)
To: bug-gnu-emacs@HIDDEN
Subject: 25.2; double screen configuration
From: =?UTF-8?Q?Klaus_Niederkr=c5=a9ger?= <niederkruger@HIDDEN>
Message-ID: <056d5e7c-79df-554d-0dd4-8a74fee75cd0@HIDDEN>
Date: Tue, 13 Apr 2021 10:22:22 +0200
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:68.0) Gecko/20100101
 Thunderbird/68.10.0
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit
Content-Language: en-US
Received-SPF: pass client-ip=134.214.255.150;
 envelope-from=SRS0=++ik=JK=math.univ-lyon1.fr=niederkruger@HIDDEN;
 helo=margaux.math.cnrs.fr
X-Spam_score_int: 8
X-Spam_score: 0.8
X-Spam_bar: /
X-Spam_report: (0.8 / 5.0 requ) BAYES_00=-1.9,
 HEADER_FROM_DIFFERENT_DOMAINS=0.25, SPF_HELO_NONE=0.001, SPF_PASS=-0.001,
 TO_NO_BRKTS_PCNT=2.499 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 1.1 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: I have a configuration with two (physical) screens. When the
 emacs window is on my secondary screen, and I click on the menu bar to open
 a roll down menu, this menu appears on the primary screen (more or less at
 the position I would expect it to be if [...] 
 Content analysis details:   (1.1 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -2.3 RCVD_IN_DNSWL_MED      RBL: Sender listed at https://www.dnswl.org/,
 medium trust [209.51.188.17 listed in list.dnswl.org]
 0.2 HEADER_FROM_DIFFERENT_DOMAINS From and EnvelopeFrom 2nd level
 mail domains are different
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 0.7 SPF_NEUTRAL            SPF: sender does not match SPF record (neutral)
 0.0 RCVD_IN_MSPIKE_H4      RBL: Very Good reputation (+4)
 [209.51.188.17 listed in wl.mailspike.net]
 0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
 2.5 TO_NO_BRKTS_PCNT       To: lacks brackets + percentage
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Tue, 13 Apr 2021 10:49:16 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)


I have a configuration with two (physical) screens.

When the emacs window is on my secondary screen, and I click on the menu
bar to open a roll down menu, this menu appears on the primary screen
(more or less at the position I would expect it to be if both screens
were identical).

To select any item I have to move the mouse pointer to the primary
screen.

Cheers

Klaus

In GNU Emacs 25.2.1 (x86_64-pc-linux-gnu, X toolkit, Xaw3d scroll bars)
of 2017-09-22, modified by Debian built on lgw01-amd64-050
Windowing system distributor 'The X.Org Foundation', version 11.0.11906000
System Description: Ubuntu 18.04.5 LTS

Configured using:
'configure --build x86_64-linux-gnu --prefix=/usr
--sharedstatedir=/var/lib --libexecdir=/usr/lib
--localstatedir=/var/lib --infodir=/usr/share/info
--mandir=/usr/share/man --with-pop=yes
--enable-locallisppath=/etc/emacs25:/etc/emacs:/usr/local/share/emacs/25.2/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/25.2/site-lisp:/usr/share/emacs/site-lisp 

--with-sound=alsa --without-gconf --build x86_64-linux-gnu
--prefix=/usr --sharedstatedir=/var/lib --libexecdir=/usr/lib
--localstatedir=/var/lib --infodir=/usr/share/info
--mandir=/usr/share/man --with-pop=yes
--enable-locallisppath=/etc/emacs25:/etc/emacs:/usr/local/share/emacs/25.2/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/25.2/site-lisp:/usr/share/emacs/site-lisp 

--with-sound=alsa --without-gconf --with-x=yes --with-x-toolkit=lucid
--with-toolkit-scroll-bars --without-gsettings 'CFLAGS=-g -O2
-fdebug-prefix-map=/build/emacs25-jYekUr/emacs25-25.2+1=. 
-fstack-protector-strong
-Wformat -Werror=format-security -Wall' 'CPPFLAGS=-Wdate-time
-D_FORTIFY_SOURCE=2' 'LDFLAGS=-Wl,-Bsymbolic-functions -Wl,-z,relro''

Configured features:
XAW3D XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND GPM DBUS NOTIFY ACL
LIBSELINUX GNUTLS LIBXML2 FREETYPE M17N_FLT LIBOTF XFT ZLIB
TOOLKIT_SCROLL_BARS LUCID X11

Important settings:
value of $LANG: fr_FR.UTF-8
value of $XMODIFIERS: @im=ibus
locale-coding-system: utf-8-unix

Major mode: BibTeX

Minor modes in effect:
TeX-PDF-mode: t
shell-dirtrack-mode: t
tooltip-mode: t
global-eldoc-mode: t
electric-indent-mode: t
mouse-wheel-mode: t
tool-bar-mode: t
menu-bar-mode: t
file-name-shadow-mode: t
global-font-lock-mode: t
font-lock-mode: t
blink-cursor-mode: t
auto-composition-mode: t
auto-encryption-mode: t
auto-compression-mode: t
line-number-mode: t
transient-mark-mode: t

Recent messages:
Formatting (97%)
Formatting (98%)
Formatting (99%)
Formatting (done)
Finding sort keys...
Sorting records...
Reordering buffer... Done

Load-path shadows:
/usr/share/emacs/25.2/site-lisp/debian-startup hides 
/usr/share/emacs/site-lisp/debian-startup
/usr/share/emacs25/site-lisp/latex-cjk-thai/thai-word hides 
/usr/share/emacs/25.2/lisp/language/thai-word
/usr/share/emacs25/site-lisp/auctex/plain-tex hides 
/usr/share/emacs/site-lisp/auctex/plain-tex
/usr/share/emacs25/site-lisp/auctex/texmathp hides 
/usr/share/emacs/site-lisp/auctex/texmathp
/usr/share/emacs25/site-lisp/auctex/bib-cite hides 
/usr/share/emacs/site-lisp/auctex/bib-cite
/usr/share/emacs25/site-lisp/auctex/tex-jp hides 
/usr/share/emacs/site-lisp/auctex/tex-jp
/usr/share/emacs25/site-lisp/auctex/tex-ispell hides 
/usr/share/emacs/site-lisp/auctex/tex-ispell
/usr/share/emacs25/site-lisp/auctex/latex hides 
/usr/share/emacs/site-lisp/auctex/latex
/usr/share/emacs25/site-lisp/auctex/context-en hides 
/usr/share/emacs/site-lisp/auctex/context-en
/usr/share/emacs25/site-lisp/auctex/tex hides 
/usr/share/emacs/site-lisp/auctex/tex
/usr/share/emacs25/site-lisp/auctex/context hides 
/usr/share/emacs/site-lisp/auctex/context
/usr/share/emacs25/site-lisp/auctex/tex-buf hides 
/usr/share/emacs/site-lisp/auctex/tex-buf
/usr/share/emacs25/site-lisp/auctex/toolbar-x hides 
/usr/share/emacs/site-lisp/auctex/toolbar-x
/usr/share/emacs25/site-lisp/auctex/tex-bar hides 
/usr/share/emacs/site-lisp/auctex/tex-bar
/usr/share/emacs25/site-lisp/auctex/context-nl hides 
/usr/share/emacs/site-lisp/auctex/context-nl
/usr/share/emacs25/site-lisp/auctex/tex-fold hides 
/usr/share/emacs/site-lisp/auctex/tex-fold
/usr/share/emacs25/site-lisp/auctex/preview hides 
/usr/share/emacs/site-lisp/auctex/preview
/usr/share/emacs25/site-lisp/auctex/prv-emacs hides 
/usr/share/emacs/site-lisp/auctex/prv-emacs
/usr/share/emacs25/site-lisp/auctex/font-latex hides 
/usr/share/emacs/site-lisp/auctex/font-latex
/usr/share/emacs25/site-lisp/auctex/tex-font hides 
/usr/share/emacs/site-lisp/auctex/tex-font
/usr/share/emacs25/site-lisp/auctex/multi-prompt hides 
/usr/share/emacs/site-lisp/auctex/multi-prompt
/usr/share/emacs25/site-lisp/auctex/tex-mik hides 
/usr/share/emacs/site-lisp/auctex/tex-mik
/usr/share/emacs25/site-lisp/auctex/tex-style hides 
/usr/share/emacs/site-lisp/auctex/tex-style
/usr/share/emacs25/site-lisp/auctex/tex-info hides 
/usr/share/emacs/site-lisp/auctex/tex-info

Features:
(shadow mail-extr emacsbug message dired format-spec rfc822 mml mml-sec
password-cache epg epg-config gnus-util mm-decode mm-bodies mm-encode
mail-parse rfc2231 mailabbrev gmm-utils mailheader sendmail rfc2047
rfc2045 ietf-drums mm-util help-fns mail-prsvr mail-utils sort make-mode
ispell multi-prompt cl-macs cl gv plain-tex bibtex texmathp misearch
multi-isearch preview prv-emacs tex-bar tex-buf toolbar-x noutline
outline font-latex byte-opt bytecomp byte-compile cl-extra help-mode
cconv latex easy-mmode edmacro kmacro cl-loaddefs pcase cl-lib
tex-ispell tex-style tex dbus xml crm advice easymenu tex-mode compile
shell pcomplete comint ansi-color ring latexenc preview-latex tex-site
auto-loads time-date mule-util tooltip eldoc electric uniquify
ediff-hook vc-hooks lisp-float-type mwheel x-win term/common-win x-dnd
tool-bar dnd fontset image regexp-opt fringe tabulated-list newcomment
elisp-mode lisp-mode prog-mode register page menu-bar rfn-eshadow timer
select scroll-bar mouse jit-lock font-lock syntax facemenu font-core
frame cl-generic cham georgian utf-8-lang misc-lang vietnamese tibetan
thai tai-viet lao korean japanese eucjp-ms cp51932 hebrew greek romanian
slovak czech european ethiopic indian cyrillic chinese charscript
case-table epa-hook jka-cmpr-hook help simple abbrev minibuffer
cl-preloaded nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote dbusbind inotify
dynamic-setting font-render-setting x-toolkit x multi-tty
make-network-process emacs)

Memory information:
((conses 16 314944 17021)
(symbols 48 28711 0)
(miscs 40 244 992)
(strings 32 58042 13382)
(string-bytes 1 1389320)
(vectors 16 27345)
(vector-slots 8 1384518 198521)
(floats 8 894 1074)
(intervals 56 38986 216)
(buffers 976 64))





Acknowledgement sent to Klaus Niederkrũger <niederkruger@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#47752; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 5 May 2021 16:15:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.